library pages;
import 'package:light_server/light_server.dart';
import 'dart:io';

class ROOT extends Route {
  static void INDEX(Request req, [int ok = 15]) {
    req.resp.write('''
  <p>${req.session['lol']}</p>
  <form method="post" action="/post">
    <input type="text" name="lol" value="post OK" />
    <input type="submit" />
  </form>
''');
  }
  static void post(Request req, {String lol}) {
    req.session['lol'] = '$lol';
  }
}

void main() {
  HttpServer.bind('0.0.0.0', 8080).then((HttpServer s) {
    new LightServer.fromLibrary(#pages).listen(s);
  });
}